Draft Polygon/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(5 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
{{Docnav|[[Draft_Ellipse|Ellipse]]|[[Draft_Rectangle|Rectangle]]|[[Draft_Module|Draft]]|IconL=Draft_Ellipse.svg |IconC=Workbench_Draft.svg|IconR=Draft_Rectangle.svg }}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Draft_Polygon|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Polygon}}
{{GuiCommand/sv|Name=Draft_Polygon|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Polygon}}
</div>
</div>


==Description==

<div class="mw-translate-fuzzy">
====Beskrivning====
====Beskrivning====


Detta verktyg frågar användaren efter en centrumpunkt och en radie. Du kan sedan specificera antalet sidor, och en regelbunden polygon kommer att skapas inuti den givna radiens cirkel. Antalet sidor och om polygonen är inskriven eller omskriven cirkeln kan ändras när som helst i objektets egenskaper. Den nyss skapade polygonen kommer att ha nuvarande linkefärg och -tjocklek.
Detta verktyg frågar användaren efter en centrumpunkt och en radie. Du kan sedan specificera antalet sidor, och en regelbunden polygon kommer att skapas inuti den givna radiens cirkel. Antalet sidor och om polygonen är inskriven eller omskriven cirkeln kan ändras när som helst i objektets egenskaper. Den nyss skapade polygonen kommer att ha nuvarande linkefärg och -tjocklek.


Punkterna kan markeras med musen i 3D vyn eller genom att mata in koordinater med tangentbordet.
Punkterna kan markeras med musen i 3D vyn eller genom att mata in koordinater med tangentbordet.
</div>


[[Image:Draft_polygon_example.jpg|400px]]
[[Image:Draft_polygon_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_polygon_example.jpg|400px]]
</div>


==Usage==

<div class="mw-translate-fuzzy">
====Bruk====
====Bruk====


Line 20: Line 33:
* Den nyss skapade tråden kommer att anta gällande [[Draft_Linestyle/sv|linjestil]].
* Den nyss skapade tråden kommer att anta gällande [[Draft_Linestyle/sv|linjestil]].
* Polygonen kan visas som en yta eller som en trådmodell, genom att ändra dess visningsläge.
* Polygonen kan visas som en yta eller som en trådmodell, genom att ändra dess visningsläge.
</div>

The polygon can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit]]}} button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.


==Options==
==Options==
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Polygon tool will restart after you finish or close it, allowing you to draw another one without pressing the Polygon button again.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the polygon will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the polygon will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the last one.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the polygon filled with a face after it has been closed
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
* Polygons, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.


==Properties==
==Properties==
* {{PropertyData|Radius}}: The radius of the defining circle
* {{PropertyData|Draw Mode}}: Specifies if the polygon is inscribed or circumscribed around the defining circle
* {{PropertyData|Faces Number}}: The number of sides of the polygon
* {{PropertyData|Chamfer Size}}: Specifies the size of chamfered corners
* {{PropertyData|Fillet Radius}}: Specifies a curvature radius to give to the corners of the rectangle
* {{PropertyData|Make Face}}: Fills the polygon with a face
* {{PropertyView|Pattern}}: Specifies a hatch pattern to fill the wire with
* {{PropertyView|Pattern Size}}: Specifies the size of the hatch pattern


===Data===
See also [[Draft Pattern|Draft Pattern]] page.
* {{PropertyData|Radius}}: specifies the radius of the circle that defines the polygon.
* {{PropertyData|Draw Mode}}: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
* {{PropertyData|Faces Number}}: specifies the number of sides of the polygon.
* {{PropertyData|Chamfer Size}}: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
* {{PropertyData|Fillet Radius}}: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.

===View===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the polygon. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
The Polygon tool can by used in [[macros]] and from the python console by using the following function:

The Polygon tool can be used in [[macros]] and from the [[Python]] console by using the following function:


{{Code|code=
{{Code|code=
makePolygon(nfaces,[radius],[inscribed],[placement],[face])
Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
}}
}}
* Creates a polygon object with the given number of faces and the radius.
* Creates a {{incode|Polygon}} object with the given number of faces ({{incode|nfaces}}), and based on a circle of {{incode|radius}} in millimeters.
* If inscribed is False, the polygon is circumscribed around a circle with the given radius, otherwise it is inscribed.
* If {{incode|inscribed}} is {{incode|True}}, the polygon is inscribed in the circle, otherwise it will be circumscribed.
** One of the vertices of the polygon will lie on the X axis if no other placement is given.
* If face is True, the resulting shape is displayed as a face, otherwise as a wireframe.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* Returns the newly created object.
* If {{incode|face}} is {{incode|True}}, the shape will make a face, that is, it will appear filled.


Example:
Example:
{{Code|code=
{{Code|code=
import Draft
import FreeCAD, Draft

Draft.makePolygon(5,radius=3)
Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
}}
}}

{{Docnav|[[Draft_Ellipse|Ellipse]]|[[Draft_Rectangle|Rectangle]]|[[Draft_Module|Draft]]|IconL=Draft_Ellipse.svg |IconC=Workbench_Draft.svg|IconR=Draft_Rectangle.svg }}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 20:43, 21 February 2020

Draft_Polygon

Menyplacering
Draft -> Polygon
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Description

Beskrivning

Detta verktyg frågar användaren efter en centrumpunkt och en radie. Du kan sedan specificera antalet sidor, och en regelbunden polygon kommer att skapas inuti den givna radiens cirkel. Antalet sidor och om polygonen är inskriven eller omskriven cirkeln kan ändras när som helst i objektets egenskaper. Den nyss skapade polygonen kommer att ha nuvarande linkefärg och -tjocklek.

Punkterna kan markeras med musen i 3D vyn eller genom att mata in koordinater med tangentbordet.

Usage

Bruk

  • Markera en punkt på ett tomt område i 3D vyn, eller på ett existerande objekt.
  • Om du håller ned CTRL så kommer din punkt att snäppa till tillgängliga snäpp platser.
  • Om du håller nedSKIFT så kommer din punkt att begränsas i relation till den sista punkten.
  • Skriv in siffror för att mata in en koordinat manuellt
  • Om du trycker ned ESC så kommer operationen att avbrytas.
  • Den nyss skapade tråden kommer att anta gällande linjestil.
  • Polygonen kan visas som en yta eller som en trådmodell, genom att ändra dess visningsläge.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the polygon will create a filled face (DataMake Face true); if not, the polygon will not make a face (DataMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DataRadius: specifies the radius of the circle that defines the polygon.
  • DataDraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DataFaces Number: specifies the number of sides of the polygon.
  • DataChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DataFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DataMake Face: specifies if the shape makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • VyPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DataMake Face is true, and if VyDisplay Mode is "Flat Lines".
  • VyPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Creates a Polygon object with the given number of faces (nfaces), and based on a circle of radius in millimeters.
  • If inscribed is True, the polygon is inscribed in the circle, otherwise it will be circumscribed.
    • One of the vertices of the polygon will lie on the X axis if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)